Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.scripts
Class TemplateMethodInfo

    java.lang.Object
      org.eclipse.birt.report.model.api.scripts.MethodInfo
          org.eclipse.birt.report.model.api.scripts.TemplateMethodInfo

All Implemented Interfaces:
  ILocalizableInfo, IMethodInfo, ITemplateMethodInfo

    public class TemplateMethodInfo

extends MethodInfo
implements ITemplateMethodInfo

Represents the method information that can provide code snippet as the template.

Constructor Summary
`TemplateMethodInfo(java.lang.reflect.Method method)` Default constructor.

Method Summary
`java.lang.String` | `getCodeTemplate()` Returns the template code snippet for the method.

Methods inherited from class org.eclipse.birt.report.model.api.scripts.MethodInfo
`argumentListIterator, getClassReturnType, getDisplayName, getDisplayNameKey, getJavaDoc, getMethod, getName, getReturnType, getToolTip, getToolTipKey, isConstructor, isStatic`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.birt.report.model.api.metadata.IMethodInfo
`argumentListIterator, getClassReturnType, getJavaDoc, getReturnType, getToolTip, getToolTipKey, isConstructor, isStatic`

Methods inherited from interface org.eclipse.birt.report.model.api.metadata.ILocalizableInfo
`getDisplayName, getDisplayNameKey, getName`

Constructor Detail

### TemplateMethodInfo

    public TemplateMethodInfo(java.lang.reflect.Method method)

  Default constructor.

  Parameters:
    `method` -

Method Detail

### getCodeTemplate

    public java.lang.String getCodeTemplate()

  Description copied from interface: `ITemplateMethodInfo`
  Returns the template code snippet for the method.

  Specified by:
    `getCodeTemplate` in interface `ITemplateMethodInfo`
  Returns:
    the code template in string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.